classification
Title: "Fatal Python error: Cannot recover from stack overflow" on Windows buildbots
Type: crash Stage:
Components: Interpreter Core, Windows Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: loewis, ocean-city, pitrou, trent
Priority: release blocker Keywords: needs review, patch

Created on 2008-08-27 11:05 by pitrou, last changed 2008-09-03 18:38 by pitrou. This issue is now closed.

Messages (5)
msg72017 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-27 11:05
This error appears more or less regularly on the Windows py3k buildbots.
Today it has appeared following my changes to isinstance() /
issubclass(), but it had already appeared before, e.g.
http://www.python.org/dev/buildbot/3.0.stable/x86%20XP-4%203.0/builds/1093/step-test/0

What puzzles me is that the said "Fatal Python error" is computed in a
deterministic way (from the overflowing of the recursion counter),
therefore it shouldn't occur randomly on only some selected platforms.
msg72018 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-27 11:45
It is because of the USE_STACKCHECK macro, which is only defined in
debug mode with Microsoft compilers.
msg72021 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-27 12:16
Patch uploaded to http://codereview.appspot.com/3276, verified to fix
the problem on a Windows XP virtual machine. Please review.
msg72285 - (view) Author: Hirokazu Yamamoto (ocean-city) * (Python committer) Date: 2008-09-01 19:31
Sorry, I don't know about interpreter core, and I cannot reproduce this
error. I believe Trent is more familiar with buildbot and python core
than me.
msg72411 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-09-03 18:38
Committed in r66186 after review by Amaury on IRC.
History
Date User Action Args
2008-09-03 18:38:15pitrousetstatus: open -> closed
resolution: fixed
messages: + msg72411
2008-09-02 23:35:06pitrousetnosy: + loewis
2008-09-01 19:31:36ocean-citysetnosy: + trent
messages: + msg72285
2008-09-01 14:26:39pitrousetnosy: + ocean-city
2008-08-27 12:16:18pitrousetpriority: critical -> release blocker
keywords: + patch, needs review
messages: + msg72021
2008-08-27 11:45:51pitrousetmessages: + msg72018
2008-08-27 11:05:59pitroucreate